Bug 1011418 - alias bondN bonding not required for bonding configuration
alias bondN bonding not required for bonding configuration
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: system-administrator's-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Wadeley
Pete Travis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 04:51 EDT by john.haxby@oracle.com
Modified: 2014-12-16 02:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-16 02:52:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john.haxby@oracle.com 2013-09-24 04:51:23 EDT
Description of problem:

In the F18 System Administrators Guide (and shouldn't that have an apostrophe after the 's'?), ยง8.2.3 it says:

-----------------------
For a channel bonding interface to be valid, the kernel module must be loaded. To ensure that the module is loaded when the channel bonding interface is brought up, create a new file as root named bonding.conf in the /etc/modprobe.d/ directory. Note that you can name this file anything you like as long as it ends with a .conf extension. Insert the following line in this new file:

alias bondN bonding

Replace N with the interface number, such as 0. For each configured channel bonding interface, there must be a corresponding entry in your new /etc/modprobe.d/bonding.conf file. 
------------------------

This is not true.   The network scripts in /etc/sysconfig/network-scripts define the function install_bonding_driver which is called whenever a bonding slave or master is detected.

Version-Release number of selected component (if applicable): F18


How reproducible: Always


Steps to Reproduce:
1. Configure a bond

2. Miss out the step that adds "alias bondN bonding" to a modprobe conf file

3. Notice that bonding actually works (NetworkManager notwithstanding)

Actual results: works as expected when ignoring the documentation


Expected results: works as expected when not ignoring the documentation


Additional info:

The install_bonding_driver has been around for a while, but the final piece of code to make it reliable comes from, I think,

* Mon Aug 15 2011 Petr Lautrbach <plautrba@redhat.com> 9.03.24-1
...
- make sure the bond exists when we bring up the slaves. (#694501)

(commit id 3de0e06afda2e572d0952941498446fdda7f3f42)
Comment 1 Stephen Wadeley 2013-09-24 10:02:44 EDT
Hello John

Thanks for taking the time to report this.

About the name, this is before my time but I believe the name without apostrophe was decided on on the grounds of style.

Regards
Stephen
Comment 2 Stephen Wadeley 2013-10-30 16:23:30 EDT
Hello

I have removed the text as explained in #c0


I have also removed this text from the section "Using Channel Bonding"

in the chapter "Specific Kernel Module Capabilities":

= = =

 As root, create a new file named bonding.conf in the /etc/modprobe.d/ directory. Note that you can name this file anything you like as long as it ends with a .conf extension. Insert the following line in this new file:

alias bondN bonding

Replace N with the interface number, such as 0. For each configured channel bonding interface, there must be a corresponding entry in your new /etc/modprobe.d/bonding.conf file]

= = =

thanks again for raising the bug
Comment 4 Pete Travis 2013-10-30 23:34:43 EDT
WORKSFORME, no explicit modprobe.conf-ing required.
Comment 5 Stephen Wadeley 2014-12-16 02:52:16 EST
Hello

Note that this section was moved to the Networking Guide

http://docs.fedoraproject.org/en-US/Fedora/20/html/Networking_Guide/sec-Using_Channel_Bonding.html

Thank you

Note You need to log in before you can comment on or make changes to this bug.